/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
package arcgissamples.soe.javatypes;

public class BusStation
{
	private int id;
	private int routeNumber;
	private int direction;
	private String location;
	private String jurisdiction;
	private String zip;
	private Coordinates coordinates;
		
	public BusStation(int id, String direction, String location, String jurisdiction, String zip, Coordinates coordinates)
	{
		this.id = id;
		this.direction = new Integer(direction).intValue();
		this.location = location;
		this.jurisdiction = jurisdiction;
		this.zip = zip;
		this.coordinates = coordinates;
	}
	
	public BusStation()
	{
		this.id = -1;
		this.routeNumber = -1;
		this.direction = -1;
		this.location = null;
		this.jurisdiction = null;
		this.zip = null;
		this.coordinates = null;
	}
	
	/**
	 * @return the coordinates
	 */
	public Coordinates getCoordinates()
	{
		return coordinates;
	}

	/**
	 * @param coordinates the coordinates to set
	 */
	public void setCoordinates(Coordinates coordinates)
	{
		this.coordinates = coordinates;
	}

	/**
	 * @return the location
	 */
	public String getLocation()
	{
		return location;
	}

	/**
	 * @param location the location to set
	 */
	public void setLocation(String location)
	{
		this.location = location;
	}
	
	/**
	 * @return the routeNumber
	 */
	public int getRouteNumber()
	{
		return routeNumber;
	}

	/**
	 * @return the direction
	 */
	public int getDirection()
	{
		return direction;
	}

	/**
	 * @return the jurisdiction
	 */
	public String getJurisdiction()
	{
		return jurisdiction;
	}

	/**
	 * @return the zip
	 */
	public String getZip()
	{
		return zip;
	}

	/**
	 * @param routeNumber the routeNumber to set
	 */
	public void setRouteNumber(int routeNumber)
	{
		this.routeNumber = routeNumber;
	}

	/**
	 * @param direction the direction to set
	 */
	public void setDirection(int direction)
	{
		this.direction = direction;
	}

	/**
	 * @param jurisdiction the jurisdiction to set
	 */
	public void setJurisdiction(String jurisdiction)
	{
		this.jurisdiction = jurisdiction;
	}

	/**
	 * @param zip the zip to set
	 */
	public void setZip(String zip)
	{
		this.zip = zip;
	}

	/**
	 * @return the id
	 */
	public int getId()
	{
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id)
	{
		this.id = id;
	}
}
