/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
package arcgissamples.soe.javatypes;

public class Coordinates
{
	private double x, y;
	private int srid;
	
	public Coordinates()
	{
		x = -1;
		y = -1;
		srid = -1;
	}

	public Coordinates(double x, double y, int spatialReferenceId)
	{
		this.x = x;
		this.y = y;
		this.srid = spatialReferenceId;
	}
	
	/**
	 * @return the x
	 */
	public double getX()
	{
		return x;
	}
	
	/**
	 * @return the y
	 */
	public double getY()
	{
		return y;
	}
	
	/**
	 * @return the srid
	 */
	public int getSrid()
	{
		return srid;
	}
	
	/**
	 * @param x the x to set
	 */
	public void setX(double x)
	{
		this.x = x;
	}
	
	/**
	 * @param y the y to set
	 */
	public void setY(double y)
	{
		this.y = y;
	}
	
	/**
	 * @param srid the srid to set
	 */
	public void setSrid(int srid)
	{
		this.srid = srid;
	}
}